// Wait for device to be ready loading everything
function loadScript() {
	document.addEventListener('deviceready', onDeviceReady, false);
//	Als je test op een desktop dan deze regel even vervangen door:
//	onDeviceReady();
};

// When device is ready
function onDeviceReady() {
	document.getElementById('btn1').addEventListener('touchstart', btn1Down,  false);
	document.getElementById('btn1').addEventListener('touchend',   btn1Action, false);
	document.getElementById('btn2').addEventListener('touchstart', btn2Down,  false);
	document.getElementById('btn2').addEventListener('touchend',   btn2Action, false);
//	Als je test op een desktop dan deze 4 regels even vervangen door:
//	document.getElementById('btn1').addEventListener('mousedown', btn1Down,  false);
//	document.getElementById('btn1').addEventListener('mouseup',   btn1Action, false);
//	document.getElementById('btn2').addEventListener('mousedown', btn2Down,  false);
//	document.getElementById('btn2').addEventListener('mouseup',   btn2Action, false);
};

// This function is for button 1
function btn1Action() {
    // First cancel the button
    btn1Up();
    // Then do what button must do
	document.getElementById('page1').className='showPage';
	document.getElementById('page2').className='hidePage';
};
// This function is for button 2
function btn2Action() {
    // First cancel the button
    btn2Up();
    // Then do what button must do
	document.getElementById('page1').className='hidePage';
	document.getElementById('page2').className='showPage';
};

// Add some GUI to the touch events to change the style for pressing and releasing the buttons
function btn1Down() {
	document.getElementById('btn1').className='down';
};
function btn2Down() {
	document.getElementById('btn2').className='down';
};
function btn1Up() {
	document.getElementById('btn1').className='up';
};
function btn2Up() {
	document.getElementById('btn2').className='up';
};

